<?php

declare(strict_types=1);

namespace PpPhp\Core\Discovery\Providers;

final class ThemeDiscoveryProvider extends AbstractManifestDiscoveryProvider
{
    public function id(): string
    {
        return 'themes';
    }

    public function label(): string
    {
        return 'Themes';
    }

    protected function relativeRoot(): string
    {
        return 'packages/themes';
    }

    protected function manifestName(): string
    {
        return 'manifest.json';
    }

    protected function type(): string
    {
        return 'theme';
    }
}
